AM263Px MCU+ SDK: EnetPer_Obj Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
EnetPer_Obj Struct Reference

## Detailed Description

Ethernet Peripheral object.

## Data Fields
const char * | name
Enet_Type | enetType
uint32_t | instId
Enet_Magic | magic
uint64_t | physAddr
void * | virtAddr
uint64_t | physAddr2
void * | virtAddr2
uint32_t | features
uint32_t | errata
EnetPer_InitCfg | initCfg
EnetPer_Open | open
EnetPer_Rejoin | rejoin
EnetPer_Ioctl | ioctl
EnetPer_Poll | poll
EnetPer_ConvertTs | convertTs
EnetPer_PeriodicTick | periodicTick
EnetPer_RegisterEventCb | registerEventCb
EnetPer_UnregisterEventCb | unregisterEventCb
EnetPer_Close | close
EnetPer_SaveCtxt | saveCtxt
EnetPer_RestoreCtxt | restoreCtxt

## Field Documentation

## ◆ name

const char* EnetPer_Obj::name

Peripheral name

## ◆ enetType

Enet_Type EnetPer_Obj::enetType

Peripheral type

## ◆ instId

uint32_t EnetPer_Obj::instId

Peripheral instance id

## ◆ magic

Enet_Magic EnetPer_Obj::magic

Peripheral initialization magic

## ◆ physAddr

uint64_t EnetPer_Obj::physAddr

Peripheral's physical address. Used for peripherals that have registers that are not part of any module (i.e. peripherals that have a wrapper subsystem). It can be set to 0 for peripherals that don't have have additional registers other than those of their modules.

## ◆ virtAddr

void* EnetPer_Obj::virtAddr

Peripheral's virtual address

## ◆ physAddr2

uint64_t EnetPer_Obj::physAddr2

Peripheral's second physical address, if needed

## ◆ virtAddr2

void* EnetPer_Obj::virtAddr2

Peripheral's second virtual address, if needed

## ◆ features

uint32_t EnetPer_Obj::features

Peripheral features

## ◆ errata

uint32_t EnetPer_Obj::errata

Peripheral applicable errata

## ◆ initCfg

EnetPer_InitCfg EnetPer_Obj::initCfg

Pointer to the EnetPer config initialization function

## ◆ open

EnetPer_Open EnetPer_Obj::open

Pointer to the EnetPer open function

## ◆ rejoin

EnetPer_Rejoin EnetPer_Obj::rejoin

Pointer to the EnetPer rejoin function

## ◆ ioctl

EnetPer_Ioctl EnetPer_Obj::ioctl

Pointer to the EnetPer ioctl function

## ◆ poll

EnetPer_Poll EnetPer_Obj::poll

Pointer to the EnetPer poll function

## ◆ convertTs

EnetPer_ConvertTs EnetPer_Obj::convertTs

Pointer to the EnetPer timestamp conversion function

## ◆ periodicTick

EnetPer_PeriodicTick EnetPer_Obj::periodicTick

Pointer to the EnetPer periodic tick function

## ◆ registerEventCb

EnetPer_RegisterEventCb EnetPer_Obj::registerEventCb

Pointer to the EnetPer register event callback function

## ◆ unregisterEventCb

EnetPer_UnregisterEventCb EnetPer_Obj::unregisterEventCb

Pointer to the EnetPer unregister event callback function

## ◆ close

EnetPer_Close EnetPer_Obj::close

Pointer to the EnetPer close function

## ◆ saveCtxt

EnetPer_SaveCtxt EnetPer_Obj::saveCtxt

Pointer to the EnetPer saveCtxt function

## ◆ restoreCtxt

EnetPer_RestoreCtxt EnetPer_Obj::restoreCtxt

Pointer to the EnetPer restoreCtxt function